#
# spec file for package nedit
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           nedit
Version:        5.7
Release:        lp152.3.8
Summary:        A GUI text editor
License:        GPL-2.0+
Group:          Productivity/Text/Editors
Url:            http://sourceforge.net/projects/nedit/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}-src.tar.gz
Source1:        %{name}-icon.png
Source2:        %{name}.desktop
#PATCH-FIX-OPENSUSE Use optflags for build
Patch1:         %{name}-5.5CVS-makefiles.patch
#PATCH-FIX-OPENSUSE Do not use tmpnam
Patch2:         %{name}-5.5CVS-security.patch
#PATCH-FIX-OPENSUSE Change nc to nedit-client to avoid conflict with netcat
Patch3:         %{name}-5.5CVS-nc-manfix.patch
#PATCH-FIX-UPSTREAM Set "Default" visual to avoid crashes
Patch4:         %{name}-5.5-visfix.patch
#PATCH-FIX-OPENSUSE do not use UTF-8 by default, as it is not supported
Patch5:         %{name}-5.5CVS-utf8.patch
#PATCH-FIX-OPENSUSE do not include data and time in binary
Patch6:         %{name}-5.6_builddate_fix.patch
BuildRequires:  bison
BuildRequires:  openmotif-devel
BuildRequires:  update-desktop-files
Requires(post): update-desktop-files
Requires(postun): update-desktop-files

%description
NEdit is a GUI style plain text editor for workstations with the X Window System
and Motif. NEdit provides all of the standard menu, dialog, editing,
mouse support, macro extension language, syntax highlighting,
and a lot other nice features (and extensions for programmers).

%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5
%patch6 -p1

%build
make -j1 RPM_OPT_FLAGS="%{optflags}" linux

pushd doc
make -j1 all
popd

%install
install -d -m 755 %{buildroot}%{_bindir}
install -d -m 755 %{buildroot}%{_mandir}/man1
mv source/nc source/nedit-client
install -s -m 755 source/nedit source/nedit-client %{buildroot}%{_bindir}
install -m 644 doc/nedit.man %{buildroot}%{_mandir}/man1/nedit.1x
mv doc/nc.man doc/nedit-client.man
install -m 644 doc/nedit-client.man %{buildroot}%{_mandir}/man1/nedit-client.1x
mkdir -p %{buildroot}%{_datadir}/pixmaps/
mkdir -p %{buildroot}%{_datadir}/applications/
install -m 644 %{SOURCE1} %{buildroot}%{_datadir}/pixmaps/
install -m 644 %{SOURCE2} %{buildroot}%{_datadir}/applications/
%suse_update_desktop_file %{name} TextEditor

%post
%desktop_database_post

%postun
%desktop_database_postun

%files
%defattr(-,root,root)
%doc doc/nedit.doc README ReleaseNotes
%{_bindir}/nedit
%{_bindir}/nedit-client
%{_mandir}/man1/nedit.1x%{ext_man}
%{_mandir}/man1/nedit-client.1x%{ext_man}
%{_datadir}/applications/nedit.desktop
%{_datadir}/pixmaps/nedit-icon.png

%changelog
* Thu Jun 29 2017 bwiedemann@suse.com
- Extend nedit-5.6_builddate_fix.patch to fix dates in nedit.doc
* Thu May 11 2017 mpluskal@suse.com
- Use desktop scriplets
* Thu May 11 2017 tchvatal@suse.com
- Cleanup with spec-cleaner
- Use tagged 5.7 release:
  * few fixes over the git version from bellow
- Refresh patch nedit-5.6_builddate_fix.patch
- Do not compress manpages manualy but rely on brp services
* Fri Oct 30 2015 opensuse@dstoecker.de
- update to recent GIT (5.7 early release, still mainly tagged as 5.6)
- drop obsolete patches (included upstream):
  * nedit-5.5CVS-motif.patch
  * nedit-5.6-malloc-return-pointers.patch
* Fri Apr 10 2015 drahn@suse.com
- nedit-5.6-malloc-return-pointers.patch: Return correct pointers.
* Fri Apr 10 2015 drahn@suse.com
- Move to git releases.
* Thu Apr  9 2015 drahn@suse.com
- rebase release version to 5.6
* Thu Apr  9 2015 drahn@suse.com
- update to current CVS CVS20150409
- Refactored rbTree and reference-counted strings into util
- Fix compiler warnings from gcc (all false positives)
* Tue Oct 28 2014 opensuse@dstoecker.de
- update to current CVS
* Wed Aug 21 2013 opensuse@dstoecker.de
- update to CVS from 2013-08-21, fixed compiling with motif 2.3.4
* Thu Jan 10 2013 opensuse@dstoecker.de
- reintroduce UTF-8 patch which changes default locale to non-UTF-8 (setting LANG=en_US.utf-8 in commandline still works)
* Fri Oct 26 2012 opensuse@dstoecker.de
- update to use new OpenMotif 2.3.3
* Fri Sep 17 2010 jdelvare@suse.de
- nedit-5.5-visfix.patch: Use default visual, to prevent crashes
  when running under compiz. Patch from Mandriva.
* Tue Jan 27 2009 opensuse@dstoecker.de
- cleanup
* Wed Dec 24 2008 drahn@suse.de
- sync with editors project
- fix NULL pointers
* Fri Jun 29 2007 drahn@suse.de
- initial BS version
